export default {
    // 用于代码替换，key为文件id，value内容所在文件路径，为绝对路径，/为根目录
    // 在html中使用#include函数引入，如#include(navbar)
    moduleMap: {
        'navbar': '/src/modules/navbar.html',
        "footer": '/src/modules/footer.html',
    },
    assetsDir: "dist",
    devServer: {
        // 详情配置请看 https://www.npmjs.com/package/http-proxy-middleware#options
        httpProxy: {
            // "/api": {
            //     target: '', // 替换为你的后端服务器地址  
            //     changeOrigin: true, // 如果需要的话，改变请求的origin  
            //     pathRewrite: {
            //         '^/api': '' // 移除请求中的/api前缀  
            //     },
            //     logLevel: "debug"
            // }
        },
        // 详情配置请看 https://browsersync.io/docs/options#option-server   middleware和server不可配置
        browsersync: {
            host: 'localhost',
            port: 3000,
            open: true,
            ui: {
                port: 3001
            }
        }
    }
}
